/* Inter */

:root {
  font-family: Inter, sans-serif;
  font-feature-settings: 'liga' 1, 'calt' 1; /* fix for Chrome */
}
@supports (font-variation-settings: normal) {
  :root { font-family: InterVariable, sans-serif; }
}

/* Page layout */

:root {
	box-sizing: border-box;
	--bg: #e6f0fa;
	--base-bg: #ffffff;
}

body {
	background-color: var(--bg);
	text-align: center;
	font-size: large;
	margin: 0;
}

header, footer {
	background-color: var(--base-bg);
	padding: 2rem 1rem;
}

footer {
	min-height: 60vh;
}

.disclaimer {
	font-size: small;
}

.content-container {
	display: flex;
	flex-direction: column;
	margin: 0 auto;
	max-width: 50rem;
	min-width: 400px;
	padding: 0 1.5rem;
}

.content {
	margin: 16px auto;
	max-width: 50rem;
	min-width: 400px;
	padding: 0 1.5rem;
}

a {
	color: #648cd2;
}

.author img {
	max-width: 256px;
	height: auto;
}

.mailing-list {
	display: flex;
	align-items: center;
	justify-content: center;
}

form input {
	border: 1px solid #cccccc;
	border-radius: 4px;
	padding: 8px;
}

form input[type="submit"] {
	padding: 8px;
}

form.subscribe input[type="submit"] {
	padding: 0;
	padding-left: 8px;
	padding-right: 8px;
}

.input-success {
	color: #5bb250;
	margin-top: 8px;
	margin-bottom: 8px;
}

.input-error {
	color: #f38ba8;
	margin-top: 8px;
	margin-bottom: 8px;
}

form.subscribe {
	display: flex;
	height: 32px;
}

.publications ul {
	text-align: left; 
	margin-left: 20%;
}

/* Posts */

pre > code {
  padding-left: 32px;
  box-decoration-break: clone;
}

div.post-listentry {
  border-radius: 4px;
  padding-top: 1%;
  padding-bottom: 1px;
  padding-left: 8px;
  margin-bottom: 16px;
  max-width: 80%;
}

div.post-listentry > a {
  font-size: large;
  font-weight: bold;
}

div.post-listentry h4 {
  margin-top: 0;
  margin-bottom: 0;
}

div.post-listentry-meta {
  font-size: medium;
}
